# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

```
## [0.0.1] - 2018-12-10 
### Added 
- Added this file and this text

### Changed
### Deprecated
### Removed 
### Fixed
### Security
```

## [Unreleased]

## [0.5.1] - 2019-04-02
### Changed
- Updated twig version to ^2.*
## [0.5.0] - 2019-02-13
### Changed
- Twig_Environment now only has private properties, we now access those thru methods instead. E.x getCache instead of this->cache.
- Environment now return Twig_TemplateInterface
- Changed functions and filters to return Twig_Function/Filter instead of Twig_SimpleFunction/Filter.
### Removed
- Removed Property cacheTime and setCacheTime from FilesystemLoader
- Removed setLoaderCache from ViewSetup
### Added
- Added unit and feature tests

## [0.4.0] - 2019-02-7
### Removed
- Removed possibility to instantiate Fileloader and EveryTwig more than once.
### Changed
- ViewSetup is now a singleton
- ViewSetup should no longer be extended
- Code refactoring of View, ViewSetup, FilesystemLoader and EveryTwig classes.
- Added Unit and feature tests
### Fixed
- Added support for twig debug extension

## [0.3.3] - 2019-01-30
### Fixed
- use path to generate key when caching paths to loader for better handling when using same namespace with multiple paths

## [0.3.2] - 2019-01-25
### Removed
- Removed unnecessary files from getting added to composer package.
- Such as phpunit & README
## [0.3.1] - 2019-01-10
### Fixed
- Fix broken PathFilter

## [0.3.0] - 2019-01-10
### Changed
- Update usability for adding functions, filters, paths and globals to twig before initiation.
### Removed
- Removed Unused classes for filesystem loading and filtering of paths
### Fixed
- minor fixes and optimizations
- add cachetime for loaded paths according to environment

## [0.2.0] - 2018-12-19
### Changed
- Updated to correct license
- Fixed package deployment. To not include unnecessary files.

## [0.1.0] - 2018-12-18
Alpha version
### Added 
- Added this file and boilerplate and markup example for the future
