@Template
Feature: Template functionality
  These tests focus on the different functionality that can be added and used in twig templates.

  Due to that Everyware Twig have an outside dependency to wordpress cache we're forced too disable twig's chaching for testing purposes.
  Twig's caching gets disabled in the step "Then a loader can be set".

  Scenario: Generating a view that use PHP functions
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And PHP functions can be added
    Then I can init EveryTwig from ViewSetup
    Then the twig template testFunction.twig can use PHP functions

  Scenario: Generating a view that use Globals
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And Globals can be added global1 Does
    And Globals can be added global2 This
    And Globals can be added global3 Work
    Then I can init EveryTwig from ViewSetup
    Then the twig template testGlobals.twig can use Globals

  Scenario: Generating a view that use Filters
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And filters can be added filter1
    And filters can be added filter2
    And filters can be added filter3
    Then I can init EveryTwig from ViewSetup
    Then the twig template testFilters.twig can use filters

  Scenario: Generating a view that uses globals, PHP functions and filters
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And filters can be added filter1
    And filters can be added filter2
    And filters can be added filter3
    And Globals can be added global1 Uno
    And Globals can be added global2 Dos
    And Globals can be added global3 Tres
    And PHP functions can be added
    Then I can init EveryTwig from ViewSetup
    Then the twig template testAll.twig can use filters, globals and PHP functions